The following a set of rules that should be followed when creating After Effects Projects that will be exported to F1 ui animations:

## 1.
 One piece of ui per After Effects project. You should not have for instance two buttons in one After Effects project.

##2. 
Compositions should be named something like out_to_idle, out_to_over, etc. So basically two state names separated by _to_. The state names should not contain spaces or _ characters other than alphanumeric characters. 

Bad composition names:

**start_state_to_end_state**

**start-state_to_end-state**

**idle_to_roll over**

**item’s_selected**

**$tate$pecial_to_#hasTagState**

Good composition names:

**idle_to_over**

**idle_to_disabled**

**over_to_selected**

You you can of course define different animations for a roll over and roll out by having two compositions:

**idle_to_over**

**over_to_idle**

## 3. 
Features in After Effects that you can animate:
 a. Position
 b. Scale
 c. Rotation
 d. Opacity
 e. Anchor Points
(note you cannot currently add and animate masks)
## 4.
Easing. There are two types of easing in After Effects. Temporal or time based easing (similar to ease equations) these are defined via the graph editor. Motion path easing or spatial easing these are defined via curves in the scene editor. Currently only temporal easing can be used (edited via graph/keyframe editor)
## 5. 
Layer types you can use currently:
 a. Image layers (no text layers, no solids, vector graphics, videos, etc.)
## 6. 
Layer order and naming should match between compositions. Lets say we had two compositions:

 **idle_to_over**

 **over_to_idle**

idle_to_over contains the following layers in the following order:

 **foregroundImage**

 **backgroundImage**

 **backgroundBorder**

over_to_idle contains the following layers:

 **backgroundImage**

 **foregroundImage**

 **background-border**

This would not export correctly. Both compositions should have layers named and matching each other like so:

 **foregroundImage**

 **backgroundImage**

 **backgroundBorder**

## 7.
Multiple Comps:
You can export multiple compositions at once using a specific project structure. You must have a top level project folder and a series of folders beneath that level, each containing a separate composition to export. An example structure below.


Project/
-
    BlueButton/

        out_to_idle

	idle_to_over

        Images/

            asset.png

    RedButton/

	out_to_idle

	idle_to_over

        asset.png

## 8. Possible future features
Implement entire page animation sequencing by having compositions that contain compositions
Handle mask effects defined via paths
Implement spatial tangents (motion paths for animation)
Allow for different footage types eg text layers, video files, solids, vector graphics, etc
