 
import styles from './style.css';
import React, { Component } from 'react';

class Instructions extends Component {
    // put your props and lifecycle hooks below
    static propTypes = {
    }

    componentWillReceiveProps(nextProps) {
    }

    render() {
      return (
        <div className={styles.container} ref='wiki'>
          <h1 className={styles.h1}>Usage Instructions</h1>
            <h2 className={styles.h2}>1</h2>
            <p className={styles.p}>Open an After Effects project that is compatible with the ae-to-f1 exporter. If you&#x27;re not sure what kind of compositions, assets etc. are compatible with the exporter, check out the features and rules below:</p>
            <p className={styles.p}>https://github.com/Jam3/ae-to-f1-exporter-gui/wiki/features-and-rules</p>
            <p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-initial.png" alt="1"/></p>
            <ul><li>start by hitting the &quot;Synchronize&quot; button after loading you project</li></ul><p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-project.png" alt="2"/></p>
            <ul><li>an example of a valid project</li></ul><p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-multi-project.png" alt="3"/></p>
            <ul><li>an example of a valid project with multiple compositions</li></ul><h2 className={styles.h2}>2</h2>
            <p className={styles.p}>Select your output as either ReactF1 or F1Dom depending on your requirements using the toggle switch. The &#x27;flavour&#x27; is displayed as text on either side of the toggle.</p>
            <h2 className={styles.h2}>3</h2>
            <p className={styles.p}>When you are ready to export, hit the button labelled &quot;Synchronize&quot; in the top left. Wait until the button finishes synchronizing and displays &#x27;Synchronized.&#x27; Afterwards, if you want to sync again, just hit the button again.</p>
            <p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-synching.png" alt="4"/></p>
            <h2 className={styles.h2}>4</h2>
            <p className={styles.p}>At this stage, you will either have a working preview displayed or a relevant error message will be displayed to help you determine the cause of the error. You can transition between the various preview states by hitting the select buttons or pressing the corresponding number key on the keyboard.</p>
            <p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-complete.png" alt="5"/></p>
            <h2 className={styles.h2}>5</h2>
            <p className={styles.p}>You can now hit the download button to download the component locally or email the project to someone by entering their email and hitting submit. To download, hit the download button. A popup opens and you must select the output path, hit ok and it will download.</p>
            <p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-download.png" alt="6"/></p>
            <h2 className={styles.h2}>6</h2>
            <p className={styles.p}>To email your compositions, you can both enter the email address into the email entry area or select an addresses from the list of known emails.</p>
            <p className={styles.p}><img src="https://raw.githubusercontent.com/nascherman/my-pics/master/ae-to-f1-exporter-gui/ae-to-f1-email.png" alt="7"/></p>
            
        </div>
      );
    }
}

export default = Instructions
