.container { 
  font-family: Roboto;
  src: url("../../../assets/fonts/RobotoCondensed-Regular.ttf");
  background-color: #fff;
  padding: 50px;
  text-align: left;
  z-index: 3;
  position: absolute;
  overflow: scroll;
  top: 100%;
  left: 0px;
  width: 100vw;
  height: 100vh;
}

.container > * {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  color: #333;
  font-family: "Helvetica Neue", Helvetica, "Segoe UI", Arial, freesans, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 12px;
  line-height: 1.6;
  word-wrap: break-word;
}

 .container > a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}

.goBack {
  font-size: 1.5em;
  color: #999;
  text-decoration: underline;
  display: inline;
}

.goBack:hover {
  color:#000;
}

.strong {
  font-weight: italic;
  font-size: 0.8em;
  margin-left: 60px;
}

 .strong {
  font-weight: bolder;
}

 .h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

.a {
  margin-left: 3px;
  margin-right: 3px;
  color: #888;
}

.a:hover {
  color: #000;
}
.code,
.pre {
  font-family: monospace, monospace;
  font-size: 0.5em;
}

 .hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

 * {
  box-sizing: border-box;
}

.hr {
  height: 0;
  margin: 15px 0;
  overflow: hidden;
  background: transparent;
  border: 0;
  border-bottom: 1px solid #ddd;
}

.hr::before {
  display: table;
  content: "";
}

 .hr::after {
  display: table;
  clear: both;
  content: "";
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  margin-top: 0;
  margin-bottom: 0;
  line-height: 1.5;
}

.h1 {
  font-size: 30px;
}

 .h2 {
  font-size: 21px;
}

.h3 {
  font-size: 16px;
}

.h4 {
  font-size: 14px;
}

.h5 {
  font-size: 12px;
}

.h6 {
  font-size: 11px;
}

.p {
  margin-top: 0;
  margin-bottom: 10px;
}

.blockquote {
  margin: 0;
}


.code {
  font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
  font-size: 12px;
}

 .pre {
  margin-top: 0;
  margin-bottom: 0;
  font: 12px Consolas, "Liberation Mono", Menlo, Courier, monospace;
}

.markdownBody:before {
  display: table;
  content: "";
}

.markdownBody:after {
  display: table;
  clear: both;
  content: "";
}

.markdownBody>*:first-child {
  margin-top: 0 !important;
}

.markdownBody>*:last-child {
  margin-bottom: 0 !important;
}

.anchor {
  display: inline-block;
  padding-right: 2px;
  margin-left: -18px;
}

.anchor:focus {
  outline: none;
}

 .h1,
 .h2,
 .h3,
 .h4,
 .h5,
 .h6 {
  margin-top: 1em;
  margin-bottom: 16px;
  font-weight: bold;
  line-height: 1.4;
}

.h1 .octicon-link,
.h2 .octicon-link,
.h3 .octicon-link,
.h4 .octicon-link,
.h5 .octicon-link,
.h6 .octicon-link {
  color: #000;
  vertical-align: middle;
  visibility: hidden;
}

 .h1:hover .anchor,
 .h2:hover .anchor,
 .h3:hover .anchor,
 .h4:hover .anchor,
 .h5:hover .anchor,
 .h6:hover .anchor {
  text-decoration: none;
}

 .h1:hover .anchor .octicon-link,
 .h2:hover .anchor .octicon-link,
 .h3:hover .anchor .octicon-link,
 .h4:hover .anchor .octicon-link,
 .h5:hover .anchor .octicon-link,
 .h6:hover .anchor .octicon-link {
  visibility: visible;
}

.h1 {
  padding-bottom: 0.3em;
  font-size: 2.25em;
  line-height: 1.2;
  border-bottom: 1px solid #eee;
}

 .h1 .anchor {
  line-height: 1;
}

.h2 {
  padding-bottom: 0.3em;
  font-size: 1.75em;
  line-height: 1.225;
  border-bottom: 1px solid #eee;
}

.h2 .anchor {
  line-height: 1;
}

.h3 {
  font-size: 1.5em;
  line-height: 1.43;
}

.h3 .anchor {
  line-height: 1.2;
}

.h4 {
  font-size: 1.25em;
}

.h4 .anchor {
  line-height: 1.2;
}

.h5 {
  font-size: 1em;
}

.h5 .anchor {
  line-height: 1.1;
}

.h6 {
  font-size: 1em;
  color: #777;
}

.h6 .anchor {
  line-height: 1.1;
}

.p,
.blockquote,
.pre {
  margin-top: 0;
  margin-bottom: 16px;
}

.hr {
  height: 4px;
  padding: 0;
  margin: 16px 0;
  background-color: #e7e7e7;
  border: 0 none;
}

.blockquote {
  padding: 0 15px;
  color: #777;
  border-left: 4px solid #ddd;
}

.blockquote>:first-child {
  margin-top: 0;
}

.blockquote>:last-child {
  margin-bottom: 0;
}

.code {
  padding: 0;
  padding-top: 0.2em;
  padding-bottom: 0.2em;
  margin: 0;
  font-size: 85%;
  background-color: rgba(0,0,0,0.04);
  border-radius: 3px;
}

.code:before,
.code:after {
  letter-spacing: -0.2em;
  content: "\00a0";
}

.pre>.code {
  padding: 0;
  margin: 0;
  font-size: 100%;
  word-break: normal;
  white-space: .pre;
  background: transparent;
  border: 0;
}

.highlight {
  margin-bottom: 16px;
}

.pre,
.pre {
  padding: 16px;
  overflow: auto;
  font-size: 85%;
  line-height: 1.45;
  background-color: #f7f7f7;
  border-radius: 3px;
}

 .pre {
  margin-bottom: 0;
  word-break: normal;
}

 .pre {
  word-wrap: normal;
}

 .pre .code {
  display: inline;
  max-width: initial;
  padding: 0;
  margin: 0;
  overflow: initial;
  line-height: inherit;
  word-wrap: normal;
  background-color: transparent;
  border: 0;
}

 .pre .code:before,
 .pre .code:after {
  content: normal;
}

.ul {
  margin-top: 0;
  margin-bottom: 16px;
  padding-left: 2em;
}

.li:before {
  content: ' - ';
}

.li>.p {
  margin-top: 16px;
}





 .hr {
  border-bottom-color: #eee;
}